## org.apache.lucene.queryParser.core.config
Interface ConfigAttribute

All Known Implementing Classes:
  AllowLeadingWildcardAttributeImpl, AnalyzerAttributeImpl, BoostAttributeImpl, DateResolutionAttributeImpl, DefaultOperatorAttributeImpl, DefaultPhraseSlopAttributeImpl, FieldBoostMapAttributeImpl, FieldDateResolutionMapAttributeImpl, FuzzyAttributeImpl, LocaleAttributeImpl, LowercaseExpandedTermsAttributeImpl, MultiFieldAttributeImpl, MultiTermRewriteMethodAttributeImpl, PositionIncrementsAttributeImpl, RangeCollatorAttributeImpl

Deprecated.

    @Deprecated
    public interface ConfigAttribute

This class should be used by every class that extends `Attribute` to configure a `QueryConfigHandler`. It will be removed soon, it is only used during the transition from old configuration API to new configuration API.

Method Summary
`void` `setQueryConfigHandler(AbstractQueryConfig config)` Deprecated.

Method Detail

### setQueryConfigHandler

    void setQueryConfigHandler(AbstractQueryConfig config)

  Deprecated.